import { type Dayjs } from 'dayjs';
import { type DateView } from '@mui/x-date-pickers';
import { DateFormat, UnixTimestampFormat } from '../../constants/date-time-constants';
import './adminDateTimePicker-styles.scss';
export interface IAdminDateTimePicker {
    /** dateFormat: is an optional prop which dictates the date format */
    dateFormat?: DateFormat | UnixTimestampFormat;
    /** dateViews: is an optional prop which selects what all to be shown in calender for selection */
    dateViews?: DateView[];
    /** helperText: is an optional prop which holds string to show as error text */
    helperText?: string;
    /** onChange: is a required prop which will update the value of the date */
    onChange?: (dateValue: string | number) => void;
    /** error: is an optional prop which shows/ hide error */
    error?: boolean;
    /** isLabelError: is an optional prop which holds string to show label with error style  */
    isLabelError?: string;
    /** isOptional: is an optional prop which shows optional text */
    isOptional?: boolean;
    /** label: is an optional prop which indicates the label of the date picker */
    label?: string;
    /** minDate: is an optional prop which indicates the min date of the date picker */
    maxDate?: Dayjs | string | null;
    /** minDate: is an optional prop which indicates the min date of the date picker */
    minDate?: Dayjs | string | null;
    /** placeholder: is an optional prop which holds the placeholder value */
    placeholder?: string;
    /** value: is an required prop which shows optional text */
    value?: string | null;
}
declare const AdminDateTimePicker: ((props: IAdminDateTimePicker) => import("react/jsx-runtime").JSX.Element) & {
    displayName: string;
};
export default AdminDateTimePicker;
