import { type FC } from 'react';
import { DrawerProps } from '@mui/material';
import './adminSideDrawer-styles.scss';
export interface ISideDrawerProps extends Omit<DrawerProps, 'onClose'> {
    /** containerClass: is a optional prop which dictates the class of the container. */
    containerClass?: string;
    /** onClose: is a required prop which dictates  when the drawer needs to be closed. */
    onClose: () => void;
    /** showHeader is a optional prop which dictates whether the drawer has a header or not.*/
    showHeader?: boolean;
    /** title is a optional prop which dictates the title of the drawer. */
    childrenContainerClass?: string;
}
declare const AdminSideDrawer: FC<ISideDrawerProps>;
export default AdminSideDrawer;
