import { flow, types } from 'mobx-state-tree';
import { HttpVerb, makeApiCall } from '../../services/network/api-client';
import { ConfigStore } from './config-store/config-store';
import { DashboardStore } from './dashboard-store/dashboard-store';
import { UserStore } from './user-store/user-store';
const TermsAndConditionsDataModel = types.model('TermsAndConditionsDataModel', {
    termsAndConditionsData: types.string,
    id: types.string,
});
const DomainStore = types
    .model('DomainStore', {
    userStore: UserStore,
    configStore: ConfigStore,
    dashboardStore: DashboardStore,
    termsAndConditions: TermsAndConditionsDataModel,
})
    .actions(self => {
    const setTermsAndConditionsData = (data) => {
        self.termsAndConditions.termsAndConditionsData = data;
    };
    const updateTermsAndCondition = flow(function* updateTermsAndCondition(data, id) {
        try {
            const res = yield makeApiCall(HttpVerb.PUT, `https://66b201721ca8ad33d4f6188a.mockapi.io/termsConditions/${id}`, { data });
            console.log('Result ', res);
        }
        catch (e) {
            console.log('Error ', e);
        }
        finally {
        }
    });
    const getTermsAndConditions = flow(function* getTermsAndConditions() {
        try {
            const res = yield makeApiCall(HttpVerb.GET, 'https://66b201721ca8ad33d4f6188a.mockapi.io/termsConditions');
            self.termsAndConditions.termsAndConditionsData = res.data[0].data;
            self.termsAndConditions.id = res.data[0].id;
            console.log('Result Get', res);
        }
        catch (e) {
            console.log('Error ', e);
        }
    });
    return {
        updateTermsAndCondition,
        getTermsAndConditions,
        setTermsAndConditionsData,
    };
});
export { DomainStore };
