import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import AdminButton from '../../../components/button/AdminButton';
import AdminDatePicker from '../../../components/date-time-picker/AdminDatePicker';
import AdminDropdown from '../../../components/dropdown/AdminDropdown';
import AdminInput from '../../../components/input/AdminInput';
import { ButtonVariant } from '../../../constants/common-constants';
import { InputPresets } from '../../../constants/input-field-constants';
import { CONFIG_TYPE_OPTIONS, MULTIPLE_SELECT_OPTIONS } from '../constants';
import './configForm-styles.scss';
const ConfigForm = (props) => {
    const { handleSubmit, formData, setFormData, showError = false, submitLoading = false, handleCancel, } = props;
    console.log('formData', formData);
    console.log('formData', formData);
    const handleInputChange = (key) => (value) => {
        if (key === 'type') {
            setFormData((prevState) => ({
                ...prevState,
                value: '',
            }));
        }
        setFormData((prevState) => ({
            ...prevState,
            [key]: value,
        }));
    };
    // const handleInputChange =
    //   (key: string) => (event: React.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => {
    //     const { value } = event.target;
    //     setFormData((prevState: any) => ({
    //       ...prevState,
    //       [key]: value.toString(),
    //     }));
    //   };
    console.log(formData.value, 'formData.value');
    const handleMultipleSelect = (newValue) => {
        setFormData(prev => ({ ...prev, value: newValue }));
    };
    const renderInputField = () => {
        const commonProps = {
            label: 'Value',
            value: formData.value,
            onChange: handleInputChange('value'),
        };
        switch (formData.type) {
            case 'string':
                return _jsx(AdminInput, { error: showError, ...commonProps });
            case 'number':
                return _jsx(AdminInput, { error: showError, ...commonProps, preset: InputPresets.Number });
            case 'date':
                return (_jsx(AdminDatePicker, { error: showError, label: commonProps.label, value: formData.value, onChange: date => {
                        setFormData(prev => ({ ...prev, value: date.toString() }));
                    } }));
            case 'multiple':
                return (_jsx(AdminDropdown, { isMultiple: true, data: MULTIPLE_SELECT_OPTIONS, label: "Select Multiple Options", placeholder: "Select", onChange: handleMultipleSelect, value: [...formData.value] }));
                break;
            default:
                return null;
        }
    };
    return (_jsxs("div", { className: "configForm__container", children: [_jsx(AdminInput, { error: showError, label: "Key", value: formData.key, onChange: handleInputChange('key') }), _jsx(AdminDropdown, { error: showError, value: formData.type, data: CONFIG_TYPE_OPTIONS, onChange: handleInputChange('type'), label: "Select Type" }), renderInputField(), _jsx("br", {}), _jsxs("div", { className: "configForm__buttonContainer", children: [_jsx(AdminButton, { title: "Cancel", handleClick: handleCancel, buttonVariant: ButtonVariant.Text }), _jsx(AdminButton, { isLoading: submitLoading, title: "Save", handleClick: handleSubmit })] })] }));
};
export default ConfigForm;
